## BtMainStatusbar BtMainStatusbar — class for the editor main statusbar |

## Functions

BtMainStatusbar * | bt_main_statusbar_new ()

## Properties

gchar * | status | Write

## Types and Values

struct | BtMainStatusbar
#define | BT_MAIN_STATUSBAR_DEFAULT

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBox
                        ╰── BtMainStatusbar

## Implemented Interfaces

BtMainStatusbar implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include "bt-edit.h"

## Description

The statusbar shows some contextual help, as well as things like playback status.

## Functions

### bt_main_statusbar_new ()

    BtMainStatusbar *
    bt_main_statusbar_new (void);

Create a new instance

#### Returns

the new instance

## Types and Values

### struct BtMainStatusbar

    struct BtMainStatusbar;

the root window for the editor application

### BT_MAIN_STATUSBAR_DEFAULT

    #define BT_MAIN_STATUSBAR_DEFAULT _("Ready to rock!")

Default text to display when idle.

## Property Details

### The `“status”` property

      “status”                   gchar *

main status text.

Flags: Write

Default value: "Ready to rock!"